package envoy.data;

import java.io.Serializable;
import java.util.List;

/**
 * Project: <strong>envoy-common</strong><br>
 * File: <strong>Contacts.java</strong><br>
 * Created: <strong>02.01.2020</strong><br>
 *
 * @author Kai S. K. Engelbart
 * @since Envoy Common v0.2-alpha
 */
public class Contacts implements Serializable {

	private final List<User> contacts;

	private static final long serialVersionUID = 0L;

	/**
	 * Creates an instance of {@link Contacts}.
	 *
	 * @param contacts the contact list
	 * @since Envoy Common v0.2-alpha
	 */
	public Contacts(List<User> contacts) { this.contacts = contacts; }

	@Override
	public String toString() { return String.format("Contacts[%s]", contacts); }

	/**
	 * @return a list of users messages can be sent to
	 * @since Envoy Common v0.2-alpha
	 */
	public List<User> getContacts() { return contacts; }
}
