package envoy.event.contact;

import envoy.data.Contact;
import envoy.event.Event;

/**
 * This event is sent if a {@link Contact} has been deleted/ has decided to
 * delete himself.<br>
 * <br>
 * Project: <strong>envoy-common</strong><br>
 * File: <strong>ContactDeletionEvent.java</strong><br>
 * Created: <strong>28 Mar 2020</strong><br>
 *
 * @author Leon Hofmeister
 * @since Envoy Common v0.1-beta
 */
public class ContactDeletionEvent extends Event<Long> {

	private static final long serialVersionUID = 0L;

	/**
	 * @param value the id of the {@link Contact} being deleted
	 * @since Envoy Common v0.1-beta
	 */
	protected ContactDeletionEvent(Long value) { super(value); }
}
